Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Не устанавливается php5 Ubuntu 10.04 LTS Server =\  (Прочитано 6039 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн EuRusik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Вообщем комарды, драсте.
Проблема такая, пытался обновить на 10.04 php5.14 до 5.2 по этой статье. В итоге удалил php5
Цитировать
sudo aptitude purge `dpkg -l | grep php| awk '{print $2}' |tr "\n" " "`
, хочу откатиться обратно, удалил все пакеты связанные с php и пытаюсь поставить обратно

root@games:# apt-get install php5 libapache2-mod-php5 php5-cli php5-common php5-curl php5-gd php5-imagick php5-imap php5-interbase php5-ldap php5-mcrypt php5-memcache php5-memcached php5-mysql php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xsl phpmyadmin

И теперь он их не ставит, пишит

root@games:~/zend# sudo apt-get install php5 libapache2-mod-php5
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
E: Не удалось найти пакет php5
« Последнее редактирование: 05 Декабрь 2011, 17:28:55 от EuRusik »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: Sourcelist 10.04
« Ответ #1 : 05 Декабрь 2011, 16:45:02 »
ты собрался из исходников их компилить?

у тебя кроме partner нет других источников бинарных пакетов.

Оффлайн EuRusik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Re: Sourcelist 10.04
« Ответ #2 : 05 Декабрь 2011, 16:47:47 »
Выложите кто то sourcelist сервер крутится на такой Linux games 2.6.32-36-server #79-Ubuntu SMP Tue Nov 8 22:44:38 UTC 2011 x86_64 GNU/Linux 10.04.3 LTS
« Последнее редактирование: 05 Декабрь 2011, 16:50:41 от EuRusik »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: Sourcelist 10.04
« Ответ #3 : 05 Декабрь 2011, 16:50:55 »
Зачем maveric для 10.04 (lucid) ?

http://www.debian.org/doc/manuals/apt-howto/

Оффлайн EuRusik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Re: Sourcelist 10.04
« Ответ #4 : 05 Декабрь 2011, 17:02:16 »
root@games:~/zend# apt-get update
Цитировать
Получено:1 http://archive.canonical.com lucid Release.gpg [198B]
Игн http://archive.canonical.com/ubuntu/ lucid/partner Translation-ru
В кэше http://ua.archive.ubuntu.com lucid Release.gpg
В кэше http://ua.archive.ubuntu.com/ubuntu/ lucid/main Translation-ru
В кэше http://ua.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-ru
Получено:2 http://security.ubuntu.com lucid-security Release.gpg [198B]
Игн http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-ru
Игн http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-ru
Получено:3 http://archive.canonical.com lucid Release [8 215B]
В кэше http://ua.archive.ubuntu.com/ubuntu/ lucid/universe Translation-ru
В кэше http://ua.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-ru
В кэше http://ua.archive.ubuntu.com lucid-updates Release.gpg
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-ru
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-ru
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-ru
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-ru
В кэше http://ua.archive.ubuntu.com lucid-backports Release.gpg
Игн http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-ru
Игн http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-ru
Получено:4 http://security.ubuntu.com lucid-security Release [44,7kB]
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-backports/main Translation-ru
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-backports/restricted Translation-ru
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-backports/universe Translation-ru
Игн http://ua.archive.ubuntu.com/ubuntu/ lucid-backports/multiverse Translation-ru
В кэше http://ua.archive.ubuntu.com lucid Release
В кэше http://ua.archive.ubuntu.com lucid-updates Release
Получено:5 http://archive.canonical.com lucid/partner Packages [15,0kB]
В кэше http://ua.archive.ubuntu.com lucid-backports Release
В кэше http://ua.archive.ubuntu.com lucid/main Packages
В кэше http://ua.archive.ubuntu.com lucid/restricted Packages
В кэше http://ua.archive.ubuntu.com lucid/main Sources
В кэше http://ua.archive.ubuntu.com lucid/restricted Sources
В кэше http://ua.archive.ubuntu.com lucid/universe Packages
Получено:6 http://archive.canonical.com lucid/partner Sources [6 854B]
В кэше http://ua.archive.ubuntu.com lucid/universe Sources
В кэше http://ua.archive.ubuntu.com lucid/multiverse Packages
В кэше http://ua.archive.ubuntu.com lucid/multiverse Sources
В кэше http://ua.archive.ubuntu.com lucid-updates/main Packages
В кэше http://ua.archive.ubuntu.com lucid-updates/restricted Packages
Получено:7 http://security.ubuntu.com lucid-security/main Packages [241kB]
В кэше http://ua.archive.ubuntu.com lucid-updates/main Sources
В кэше http://ua.archive.ubuntu.com lucid-updates/restricted Sources
В кэше http://ua.archive.ubuntu.com lucid-updates/universe Packages
В кэше http://ua.archive.ubuntu.com lucid-updates/universe Sources
В кэше http://ua.archive.ubuntu.com lucid-updates/multiverse Packages
В кэше http://ua.archive.ubuntu.com lucid-updates/multiverse Sources
В кэше http://ua.archive.ubuntu.com lucid-backports/main Packages
В кэше http://ua.archive.ubuntu.com lucid-backports/restricted Packages
В кэше http://ua.archive.ubuntu.com lucid-backports/universe Packages
В кэше http://ua.archive.ubuntu.com lucid-backports/multiverse Packages
В кэше http://ua.archive.ubuntu.com lucid-backports/main Sources
В кэше http://ua.archive.ubuntu.com lucid-backports/restricted Sources
В кэше http://ua.archive.ubuntu.com lucid-backports/universe Sources
В кэше http://ua.archive.ubuntu.com lucid-backports/multiverse Sources
Получено:8 http://security.ubuntu.com lucid-security/restricted Packages [14B]
Получено:9 http://security.ubuntu.com lucid-security/main Sources [71,1kB]
Получено:10 http://security.ubuntu.com lucid-security/restricted Sources [14B]
Получено:11 http://security.ubuntu.com lucid-security/universe Packages [109kB]
Получено:12 http://security.ubuntu.com lucid-security/universe Sources [27,6kB]
Получено:13 http://security.ubuntu.com lucid-security/multiverse Packages [4 423B]
Получено:14 http://security.ubuntu.com lucid-security/multiverse Sources [1 750B]
Получено 530kБ за 1с (524kБ/c)
Чтение списков пакетов... Готово
root@games:~/zend# apt-get upgrade
Цитировать
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
root@games:~/zend# sudo apt-get install php5 libapache2-mod-php5
Цитировать
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Пакет php5 недоступен, но упомянут в списке зависимостей другого пакета.
Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
E: Для пакета php5 не найдены кандидаты на установку
root@games:~/zend#

Куда копать ?  :-\
« Последнее редактирование: 05 Декабрь 2011, 17:16:21 от EuRusik »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: Не устанавливается php5 Ubuntu 10.04 LTS Server =\
« Ответ #5 : 05 Декабрь 2011, 17:24:39 »
Цитата: sources.list
deb http://archive.ubuntu.com/ubuntu/ lucid main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ lucid-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ lucid-updates main restricted universe multiverse
deb http://archive.canonical.com/ubuntu lucid partner

sudo aptitude update
sudo aptitude install php5

Оффлайн EuRusik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Re: Не устанавливается php5 Ubuntu 10.04 LTS Server =\
« Ответ #6 : 05 Декабрь 2011, 17:26:05 »
root@games:~/zend# sudo aptitude install php5
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов... Готово
Нет подходящей версии для php5
Нет подходящей версии для php5
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0Б архивов. После распаковки 0Б будет занято.
Запись информации расширенных состояний... Готово
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Чтение информации о расширенных состояниях
Инициализация состояний пакетов... Готово

Sourcelist на данный момент таков http://dev.playplanet.com.ua/sources.list
« Последнее редактирование: 05 Декабрь 2011, 17:27:46 от EuRusik »

Оффлайн БТР

  • Заслуженный пользователь
  • Модератор форума
  • Старожил
  • *
  • Сообщений: 5424
    • Просмотр профиля
Re: Не устанавливается php5 Ubuntu 10.04 LTS Server =\
« Ответ #7 : 05 Декабрь 2011, 17:28:18 »
aptitude show php5

Оффлайн EuRusik

  • Автор темы
  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Re: Не устанавливается php5 Ubuntu 10.04 LTS Server =\
« Ответ #8 : 05 Декабрь 2011, 17:29:42 »
root@games:~/zend# aptitude show php5
Нет в наличии или подходящей версии для php5
Пакет: php5
Состояние: не установлен
Версия: 5.3.2-1ubuntu4.10
Приоритет: необязательный
Раздел: php
Сопровождающий: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Размер в распакованном виде: 20,5k
Зависимости: libapache2-mod-php5 (>= 5.3.2-1ubuntu4.10) | libapache2-mod-php5filter (>= 5.3.2-1ubuntu4.10) | php5-cgi (>= 5.3.2-1ubuntu4.10),
                        php5-common (>= 5.3.2-1ubuntu4.10)
Описание: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you have at least one of the three server-side versions of the PHP5
 interpreter installed. Removing this package won't remove PHP5 from your system, however it may remove other packages that depend on this
 one.

 PHP5 is an HTML-embedded scripting language. Much of its syntax is borrowed from C, Java and Perl with a couple of unique PHP-specific
 features thrown in. The goal of the language is to allow web developers to write dynamically generated pages quickly. This version of PHP5
 was built with the Suhosin patch.
Сайт: http://www.php.net/

Оффлайн vadim-nsk

  • LoCo команда
  • Старожил
  • *
  • Сообщений: 1318
  • Жить надо так, как горит пламя!
    • Просмотр профиля
    • Linux в Новосибирске
Re: Не устанавливается php5 Ubuntu 10.04 LTS Server =\
« Ответ #9 : 05 Декабрь 2011, 18:33:10 »
ты же сам когда php5.2  ставил скриптом. Написал запрещающее правило, которое запрещает php выше версии 5.2, а потом вообще удалил из источников пакетов php этой версии.
Смотри хоть код скрипта по которому ставил там явно прописано /etc/apt/preferences.d/php5.2 Грохай его прежде чем 5.3 накатывать.

P.S. какая ужасть. apt и систему установки раньше всегда первыми изучали. Как вас до серверо то допустили?
« Последнее редактирование: 05 Декабрь 2011, 18:34:58 от vadim-nsk »

 

Страница сгенерирована за 0.094 секунд. Запросов: 25.